Gebruikers
Gebruikers op id's ophalen
GET /v1/users/batch reads 1 per id credits
Profielen van maximaal 50 accounts op numeriek id in één aanroep. Kost 1 credit per gevraagd id.
Queryparameters
| Queryparameter | Type | Betekenis |
|---|---|---|
ids * | string (1–50 ids) | Door komma's gescheiden numerieke account-id's, 1–50 |
antwoord
items bevat de gevonden profielen, in de volgorde van het verzoek; missing vermeldt de id's waarbij geen account hoort.
Status: 200, 400, 429, 502
verzoek
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \ -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 400
{
"items": [
{
"id": "1652541",
"name": "Reuters",
"screen_name": "Reuters",
"bio": "Top and breaking news, pictures and videos from Reuters…",
"location": "Around the world",
"url": "https://t.co/…",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/1652541/…",
"pinned": null,
"verified": true,
"protected": false,
"followers": 26367695,
"following": 1195,
"tweets": 1395836
},
{
"id": "11348282",
"name": "NASA",
"screen_name": "NASA",
"bio": "Making the seemingly impossible, possible. ✨",
"location": "Pale Blue Dot",
"…": "…"
}
],
"missing": [
"999999999999999999"
]
}